<TeXmacs|1.99.2>

<style|<tuple|old-beamer|vdh|english>>

<\body>
  <screens|<\shown>
    \;

    <with|par-mode|center|<with|color|red|<strong|<\with|font-size|1.41>
      A new zero-test for formal power series
    </with>>>>

    \;

    <\with|par-mode|center>
      <with|color|blue|<math|\<infty\><space|-0.4spc>\<infty\><space|-0.4spc>\<infty\>>>

      \;

      <with|font-shape|small-caps|<with|font-family|rm|by Joris van der
      Hoeven<vspace|0.5fn>>>

      C.N.R.S., Universit Paris-Sud<vspace|0.5fn>

      <with|font-family|rm|<with|font|chancellary|ISSAC' 02, Lille,
      10/7/2002>>

      \;

      <with|color|blue|<math|\<infty\><space|-0.4spc>\<infty\><space|-0.4spc>\<infty\>>>
    </with>

    \;

    <with|par-mode|center|<htab|5mm><tabular|<tformat|<cwith|1|-1|1|-1|cell
    mode|c>|<cwith|1|2|1|2|cell-valign|c>|<table|<row|<cell|<image|gleeson_head.jpg|0.5w|0.5h||>>|<cell|<with|font-size|0.84|Written
    using <with|color|dark green|GNU <with|color|brown|T<space|-0.6spc>><rsub|<space|-1.2spc><move|<resize|<with|math-level|0|E>||||0.5fn>|0fn|-0.1fn>><space|-0.4spc><with|color|brown|X><rsub|<space|-0.4spc><move|<resize|M<space|-0.2spc>A<space|-0.4spc>CS||||0.5fn>|0fn|-0.1fn>>>
    (<tt|www.texmacs.org>)>>|<cell|<image|flipped_gleeson_head.jpg|0.5w|0.5h||>>>>>><htab|5mm>>
  </shown>|<\hidden>
    <with|font-series|bold|font-size|1.19|color|dark
    grey|<block*|<tformat|<cwith|1|-1|1|-1|cell-background|broken
    white>|<twith|table-width|1par>|<cwith|1|1|2|2|cell-hyphen|t>|<cwith|1|1|2|2|cell-bsep|1spc>|<cwith|1|1|2|2|cell-tsep|1spc>|<cwith|1|-1|1|-1|cell-lborder|0.5ln>|<cwith|1|-1|1|-1|cell-rborder|0.5ln>|<cwith|1|-1|1|-1|cell-bborder|0.5ln>|<cwith|1|-1|1|-1|cell-tborder|0.5ln>|<cwith|1|1|2|2|cell-hpart|1>|<cwith|1|1|1|1|cell-rborder|0ln>|<cwith|1|1|2|2|cell-lborder|0ln>|<cwith|1|1|2|2|cell-rborder|0ln>|<cwith|1|1|3|3|cell-lborder|0ln>|<cwith|1|1|1|1|cell-valign|c>|<cwith|1|1|3|3|cell-valign|c>|<cwith|1|1|2|2|cell-valign|c>|<cwith|1|1|1|1|cell-vcorrect|n>|<cwith|1|1|3|3|cell-vcorrect|n>|<table|<row|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu1.png|0.25w|0.25h||>>|<cell|The
    problem>|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu2.png|0.25w|0.25h||>>>>>>>

    <\with|par-par-sep|0.5fn>
      <subsubsection*|Testing functional identities>
    </with>

    <\itemize>
      <item><math|sin<rsup|2> x+cos<rsup|2> x=1>

      <item><math|log(x<rsup|x<rsup|x>>+e<rsup|x*log x>)-x<rsup|x>*log x=log
      (1+x<rsup|x*(1-x<rsup|x-1>)>)>
    </itemize>

    <\with|par-mode|center>
      <with|color|blue|functional identities = constant identities + power
      series identities>
    </with>

    <subsubsection*|Testing constant identities>

    <\itemize>
      <item><math|<sqrt|<sqrt|32/5|5>-<sqrt|27/5|5>|3>=(1+<sqrt|3|5>-<sqrt|9|5>)/<sqrt|25|5>>

      <item><math|<big|int><rsub|-\<infty\>><rsup|\<infty\>>e<rsup|-x<rsup|2>>*\<mathd\>
      x=<sqrt|\<pi\>>>
    </itemize>

    <subsubsection*|Testing power series identities>

    <\itemize>
      <item><math|Q\<in\>\<cal-R\>[F,F<rprime|'>\<ldots\>,F<rsup|(r)>]\<subseteq\>\<cal-R\>{F}>,
      <math|\<cal-R\>=\<cal-K\>[z]>, <math|Q\<nin\>\<cal-R\>>

      <item><math|f\<in\>\<cal-K\>[[z]]> such that
      <math|Q(f,f<rprime|'>,\<ldots\>,f<rsup|(r)>)=0>

      <item>Given <math|P\<in\>\<cal-R\>{F}>, do we have <math|P(f)=0>?

      <item><with|color|blue|Towers>: replace <math|\<cal-R\>> by
      <math|\<cal-R\>[f,\<ldots\>,f<rsup|(r)>,S<rsub|Q>(f)<rsup|-1>]> and
      continue.
    </itemize>
  </hidden>|<\hidden>
    <with|font-series|bold|font-size|1.19|color|dark
    grey|<block*|<tformat|<cwith|1|-1|1|-1|cell-background|broken
    white>|<twith|table-width|1par>|<cwith|1|1|2|2|cell-hyphen|t>|<cwith|1|1|2|2|cell-bsep|1spc>|<cwith|1|1|2|2|cell-tsep|1spc>|<cwith|1|-1|1|-1|cell-lborder|0.5ln>|<cwith|1|-1|1|-1|cell-rborder|0.5ln>|<cwith|1|-1|1|-1|cell-bborder|0.5ln>|<cwith|1|-1|1|-1|cell-tborder|0.5ln>|<cwith|1|1|2|2|cell-hpart|1>|<cwith|1|1|1|1|cell-rborder|0ln>|<cwith|1|1|2|2|cell-lborder|0ln>|<cwith|1|1|2|2|cell-rborder|0ln>|<cwith|1|1|3|3|cell-lborder|0ln>|<cwith|1|1|1|1|cell-valign|c>|<cwith|1|1|3|3|cell-valign|c>|<cwith|1|1|2|2|cell-valign|c>|<cwith|1|1|1|1|cell-vcorrect|n>|<cwith|1|1|3|3|cell-vcorrect|n>|<table|<row|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu1.png|0.25w|0.25h||>>|<cell|Existing
    algorithms>|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu2.png|0.25w|0.25h||>>>>>>>

    <\description>
      <item*|Structural approches>

      Ax, Risch, Richardson<vspace|1fn>

      <item*|Bounding the valuation>

      Khovanskii, Shackell/vdH, witness conjectures<vspace|1fn>

      <item*|Model theoretical approach>

      Dedef/Lipschitz<vspace|1fn>

      <item*|Groebner bases and saturation>

      Shackell, Pladan-Germa/vdH<vspace|1fn>

      <item*|Varying the initial conditions>

      Pladan-Germa<vspace|1fn>

      <item*|Generalized solution approach>

      Shackell, Shackell/vdH, vdH
    </description>
  </hidden>|<\hidden>
    <with|font-series|bold|font-size|1.19|color|dark
    grey|<block*|<tformat|<cwith|1|-1|1|-1|cell-background|broken
    white>|<twith|table-width|1par>|<cwith|1|1|2|2|cell-hyphen|t>|<cwith|1|1|2|2|cell-bsep|1spc>|<cwith|1|1|2|2|cell-tsep|1spc>|<cwith|1|-1|1|-1|cell-lborder|0.5ln>|<cwith|1|-1|1|-1|cell-rborder|0.5ln>|<cwith|1|-1|1|-1|cell-bborder|0.5ln>|<cwith|1|-1|1|-1|cell-tborder|0.5ln>|<cwith|1|1|2|2|cell-hpart|1>|<cwith|1|1|1|1|cell-rborder|0ln>|<cwith|1|1|2|2|cell-lborder|0ln>|<cwith|1|1|2|2|cell-rborder|0ln>|<cwith|1|1|3|3|cell-lborder|0ln>|<cwith|1|1|1|1|cell-valign|c>|<cwith|1|1|3|3|cell-valign|c>|<cwith|1|1|2|2|cell-valign|c>|<cwith|1|1|1|1|cell-vcorrect|n>|<cwith|1|1|3|3|cell-vcorrect|n>|<table|<row|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu1.png|0.25w|0.25h||>>|<cell|Normalization
    of the equation>|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu2.png|0.25w|0.25h||>>>>>>>

    <\enumerate>
      <item>Ensure that <math|<frac|\<partial\> Q|\<partial\> F<rsup|(i)>>
      (f)\<neq\>0> for some <math|i\<in\>{0,\<ldots\>,r}>

      <with|color|brown|(modulo replacing <math|Q> by <math|<frac|\<partial\>
      Q|\<partial\> F<rsup|(i)>>>)><vspace|1fn>

      <item>Work with derivation <math|\<delta\>=<frac|z*\<partial\>|\<partial\>
      z>> and reduce to the case when

      <\equation*>
        Q=L F+z*M
      </equation*>

      with <math|L\<in\>\<cal-K\>[\<delta\>]> and <math|M\<in\>\<cal-R\>{F}>

      <with|color|brown|(modulo a transformation
      <math|f\<rightarrow\>f<rsub|0>+\<cdots\>+f<rsub|k>*z<rsup|k>+<wide|f|~>*z<rsup|k+1>>)><vspace|1fn>

      <item>We now have a recurrence relation for the coefficients of
      <math|f>:

      <\equation*>
        f<rsub|k>=-<frac|1|\<Lambda\>(k)>*(M(f))<rsub|k-1>,
      </equation*>

      where <math|\<Lambda\>\<in\>\<cal-K\>[k]> is obtained by substituting
      <math|\<delta\>\<rightarrow\>k> in <math|L><vspace|1fn>

      <item>Let <math|s> be the largest root of <math|\<Lambda\>> in
      <math|\<bbb-N\>>

      <math|f> unique solution to <math|Q(f)=0> with fixed
      <math|f<rsub|0>,\<ldots\>,f<rsub|s>>
    </enumerate>
  </hidden>|<\hidden>
    <with|font-series|bold|font-size|1.19|color|dark
    grey|<block*|<tformat|<cwith|1|-1|1|-1|cell-background|broken
    white>|<twith|table-width|1par>|<cwith|1|1|2|2|cell-hyphen|t>|<cwith|1|1|2|2|cell-bsep|1spc>|<cwith|1|1|2|2|cell-tsep|1spc>|<cwith|1|-1|1|-1|cell-lborder|0.5ln>|<cwith|1|-1|1|-1|cell-rborder|0.5ln>|<cwith|1|-1|1|-1|cell-bborder|0.5ln>|<cwith|1|-1|1|-1|cell-tborder|0.5ln>|<cwith|1|1|2|2|cell-hpart|1>|<cwith|1|1|1|1|cell-rborder|0ln>|<cwith|1|1|2|2|cell-lborder|0ln>|<cwith|1|1|2|2|cell-rborder|0ln>|<cwith|1|1|3|3|cell-lborder|0ln>|<cwith|1|1|1|1|cell-valign|c>|<cwith|1|1|3|3|cell-valign|c>|<cwith|1|1|2|2|cell-valign|c>|<cwith|1|1|1|1|cell-vcorrect|n>|<cwith|1|1|3|3|cell-vcorrect|n>|<table|<row|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu1.png|0.25w|0.25h||>>|<cell|The
    algorithm>|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu2.png|0.25w|0.25h||>>>>>>>

    <\with|color|red>
      <\named-algorithm-old|>
        <math|P\<equiv\>>0

        <\with|color|blue>
          <name|Input>: <with|color|black|a differential polynomial
          <math|P\<in\><value|R>{F}>>

          <name|Output:> <with|color|black|<math|<with|math-font-series|bold|true>>
          if and only if <math|P\<equiv\>0>>
        </with>

        <\algorithm-body>
          <with|color|red|<item*|Step 1>[Initialize]>

          <with|color|black|<\indent>
            <math|H\<assign\>1>, <math|R\<assign\>P>,
            <math|reducing\<assign\><with|math-font-series|bold|true>>
          </indent>>

          <with|color|red|<item*|Step 2>[Reduction]>

          <with|color|black|<\indent>
            <strong|while> <math|reducing> <with|color|blue|[invariant:
            <math|H\<nequiv\>0> and <math|P\<equiv\>0\<Leftrightarrow\>R\<equiv\>0>]>

            <\indent>
              <tabular|<tformat|<cwith|1|-1|1|-1|cell-lsep|0fn>|<cwith|1|-1|1|-1|cell-rsep|0fn>|<cwith|1|-1|1|-1|cell-bsep|0fn>|<cwith|1|-1|1|-1|cell-tsep|0fn>|<twith|table-valign|O>|<twith|table-hyphen|y>|<table|<row|<cell|<strong|if>
              >|<cell|<math|R\<in\><value|R>> >|<cell|<strong|then>
              >|<cell|<strong|return> <math|R=0>>>|<row|<cell|<strong|else
              if> >|<\cell>
                <math|I<rsub|R>\<equiv\>0>\ 
              </cell>|<cell|<strong|then>
              >|<cell|<math|R\<assign\>R-I<rsub|R>*V<rsub|R>>>>|<row|<cell|<strong|else
              if> >|<cell|<math|S<rsub|R>\<equiv\>0> >|<cell|<strong|then>
              >|<cell|<math|H\<assign\>I<rsub|R>*H, R\<assign\>R rem
              S<rsub|R>>>>|<row|<cell|<strong|else if> >|<cell|<math|Q rem
              R\<neq\>0> >|<cell|<strong|then>
              >|<cell|<math|H\<assign\>I<rsub|R>*S<rsub|R>*H, R\<assign\>Q
              rem R>>>|<row|<cell|<strong|else>
              >|<cell|>|<cell|>|<cell|<math|H\<assign\>I<rsub|R>*S<rsub|R>*H,
              reducing\<assign\><with|math-font-series|bold|false>>>>>>>
            </indent>
          </indent>>
        </algorithm-body>
      </named-algorithm-old>

      <item*|Step 3>[Final test]<no-page-break>

      <with|color|black|<\indent>
        let <math|k> be minimal with <math|deg<rsub|\<prec\>z<rsup|k>>
        H<rsub|+f<rsub|0>+\<cdots\>+f<rsub|k>*z<rsup|k>>=0><no-page-break>

        <math|k\<assign\>max{k,s}><no-page-break>

        <strong|return> <math|deg<rsub|\<prec\>z<rsup|k>>
        R<rsub|+f<rsub|0>+\<cdots\>+f<rsub|k>*z<rsup|k>>\<neq\>0>
      </indent>>
    </with>
  </hidden>|<\hidden>
    <with|font-series|bold|font-size|1.19|color|dark
    grey|<block*|<tformat|<cwith|1|-1|1|-1|cell-background|broken
    white>|<twith|table-width|1par>|<cwith|1|1|2|2|cell-hyphen|t>|<cwith|1|1|2|2|cell-bsep|1spc>|<cwith|1|1|2|2|cell-tsep|1spc>|<cwith|1|-1|1|-1|cell-lborder|0.5ln>|<cwith|1|-1|1|-1|cell-rborder|0.5ln>|<cwith|1|-1|1|-1|cell-bborder|0.5ln>|<cwith|1|-1|1|-1|cell-tborder|0.5ln>|<cwith|1|1|2|2|cell-hpart|1>|<cwith|1|1|1|1|cell-rborder|0ln>|<cwith|1|1|2|2|cell-lborder|0ln>|<cwith|1|1|2|2|cell-rborder|0ln>|<cwith|1|1|3|3|cell-lborder|0ln>|<cwith|1|1|1|1|cell-valign|c>|<cwith|1|1|3|3|cell-valign|c>|<cwith|1|1|2|2|cell-valign|c>|<cwith|1|1|1|1|cell-vcorrect|n>|<cwith|1|1|3|3|cell-vcorrect|n>|<table|<row|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu1.png|0.25w|0.25h||>>|<cell|Asymptotic
    algebraic equations>|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu2.png|0.25w|0.25h||>>>>>>>

    <subsubsection*|The Puiseux theorem>

    Let <math|A\<in\>\<cal-K\>[[z]][F]<rsup|\<ast\>>>. Then

    <\equation*>
      A(f)=0
    </equation*>

    admits <math|deg A> solutions in <math|\<cal-K\><rsup|alg>[[z<rsup|\<bbb-Q\>>]]>.

    \;

    <subsubsection*|The Puiseux theorem for asymptotic algebraic equations
    [vdH 1997]>

    Let <math|A\<in\>\<cal-K\>[[z]][F]<rsup|\<ast\>>> and
    <math|\<nu\>\<in\>\<bbb-R\>\<cup\>{\<um\>\<infty\>}>. Then

    <\equation*>
      A(f)=0<space|2fn>(f\<prec\>z<rsup|\<nu\>>)
    </equation*>

    admits <math|deg<rsub|\<prec\>z<rsup|\<nu\>>> A> solutions in
    <math|\<cal-K\><rsup|alg>[[z<rsup|\<bbb-Q\>>]]>,

    where <math|deg<rsub|\<prec\>z<rsup|\<nu\>>> A> is the
    <with|color|blue|Newton degree>.
  </hidden>|<\hidden>
    <with|font-series|bold|font-size|1.19|color|dark
    grey|<block*|<tformat|<cwith|1|-1|1|-1|cell-background|broken
    white>|<twith|table-width|1par>|<cwith|1|1|2|2|cell-hyphen|t>|<cwith|1|1|2|2|cell-bsep|1spc>|<cwith|1|1|2|2|cell-tsep|1spc>|<cwith|1|-1|1|-1|cell-lborder|0.5ln>|<cwith|1|-1|1|-1|cell-rborder|0.5ln>|<cwith|1|-1|1|-1|cell-bborder|0.5ln>|<cwith|1|-1|1|-1|cell-tborder|0.5ln>|<cwith|1|1|2|2|cell-hpart|1>|<cwith|1|1|1|1|cell-rborder|0ln>|<cwith|1|1|2|2|cell-lborder|0ln>|<cwith|1|1|2|2|cell-rborder|0ln>|<cwith|1|1|3|3|cell-lborder|0ln>|<cwith|1|1|1|1|cell-valign|c>|<cwith|1|1|3|3|cell-valign|c>|<cwith|1|1|2|2|cell-valign|c>|<cwith|1|1|1|1|cell-vcorrect|n>|<cwith|1|1|3|3|cell-vcorrect|n>|<table|<row|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu1.png|0.25w|0.25h||>>|<cell|Definition
    of the Newton degree>|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu2.png|0.25w|0.25h||>>>>>>>

    \;

    <\with|par-mode|center>
      <image|Npol1.ps||||>
    </with>

    <\equation*>
      <frac|z<rsup|3>|1-z>+<frac|z|1-z<rsup|2>>*f+f<rsup|2>-2*f<rsup|3>+f<rsup|4>+z<rsup|4>*f<rsup|5>+z<rsup|3>*f<rsup|6>=0
    </equation*>
  </hidden>|<\hidden>
    <with|font-series|bold|font-size|1.19|color|dark
    grey|<block*|<tformat|<cwith|1|-1|1|-1|cell-background|broken
    white>|<twith|table-width|1par>|<cwith|1|1|2|2|cell-hyphen|t>|<cwith|1|1|2|2|cell-bsep|1spc>|<cwith|1|1|2|2|cell-tsep|1spc>|<cwith|1|-1|1|-1|cell-lborder|0.5ln>|<cwith|1|-1|1|-1|cell-rborder|0.5ln>|<cwith|1|-1|1|-1|cell-bborder|0.5ln>|<cwith|1|-1|1|-1|cell-tborder|0.5ln>|<cwith|1|1|2|2|cell-hpart|1>|<cwith|1|1|1|1|cell-rborder|0ln>|<cwith|1|1|2|2|cell-lborder|0ln>|<cwith|1|1|2|2|cell-rborder|0ln>|<cwith|1|1|3|3|cell-lborder|0ln>|<cwith|1|1|1|1|cell-valign|c>|<cwith|1|1|3|3|cell-valign|c>|<cwith|1|1|2|2|cell-valign|c>|<cwith|1|1|1|1|cell-vcorrect|n>|<cwith|1|1|3|3|cell-vcorrect|n>|<table|<row|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu1.png|0.25w|0.25h||>>|<cell|Differential
    Newton degree>|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu2.png|0.25w|0.25h||>>>>>>>

    \;

    <\with|par-mode|center>
      <image|Npol2.ps||||>
    </with>

    <\eqnarray*>
      <tformat|<table|<row|<cell|>|<cell|>|<cell|<frac|z<rsup|3>|1-z>+<frac|z|1-z<rsup|2>>*(f+f<rprime|'>)+(f+f<rprime|''>)<rsup|2>+(f+f<rprime|'>)<rsup|4>+>>|<row|<cell|>|<cell|>|<cell|z<rsup|4>*(f<rprime|'>+f<rprime|'''>)<rsup|5>+z<rsup|3>*(f<rsup|6>+f*f<rprime|'>*f<rprime|''>*f<rprime|'''>*f<rprime|''''>*f<rprime|'''''>)=0>>>>
    </eqnarray*>
  </hidden>|<\hidden>
    <with|font-series|bold|font-size|1.19|color|dark
    grey|<block*|<tformat|<cwith|1|-1|1|-1|cell-background|broken
    white>|<twith|table-width|1par>|<cwith|1|1|2|2|cell-hyphen|t>|<cwith|1|1|2|2|cell-bsep|1spc>|<cwith|1|1|2|2|cell-tsep|1spc>|<cwith|1|-1|1|-1|cell-lborder|0.5ln>|<cwith|1|-1|1|-1|cell-rborder|0.5ln>|<cwith|1|-1|1|-1|cell-bborder|0.5ln>|<cwith|1|-1|1|-1|cell-tborder|0.5ln>|<cwith|1|1|2|2|cell-hpart|1>|<cwith|1|1|1|1|cell-rborder|0ln>|<cwith|1|1|2|2|cell-lborder|0ln>|<cwith|1|1|2|2|cell-rborder|0ln>|<cwith|1|1|3|3|cell-lborder|0ln>|<cwith|1|1|1|1|cell-valign|c>|<cwith|1|1|3|3|cell-valign|c>|<cwith|1|1|2|2|cell-valign|c>|<cwith|1|1|1|1|cell-vcorrect|n>|<cwith|1|1|3|3|cell-vcorrect|n>|<table|<row|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu1.png|0.25w|0.25h||>>|<cell|Logarithmic
    transseries solutions of aade's>|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu2.png|0.25w|0.25h||>>>>>>>

    <subsubsection|Logarithmic transseries>

    Generalized series in <math|z,log z,log log z,\<ldots\>,log<rsub|l> z>
    for some <math|l>

    <with|color|blue|Example>: <math|z+(log z)*z+2!*(log
    z)<rsup|2>*z<rsup|2>+3!*(log z)<rsup|3>*z<rsup|3>+\<cdots\>>

    <with|color|blue|Notation>: <math|\<bbb-L\>> field of grid-based
    logarithmic transseries

    <subsubsection|Theorem for the resolution of aade's in <math|\<bbb-L\>>
    [vdH 2001]>

    Let <math|A\<in\>\<bbb-L\>{F}> and <math|\<nu\>\<in\>\<bbb-R\>\<cup\>{\<um\>\<infty\>}>.
    Then

    <\equation*>
      A(f)=0<space|2fn>(f\<prec\>z<rsup|\<nu\>>)
    </equation*>

    admits at least <math|deg<rsub|\<prec\>z<rsup|\<nu\>>> A> solutions in
    <math|\<bbb-L\>>.

    <subsubsection|Also>

    <\itemize>
      <item>There exist no solutions if <math|deg<rsub|\<prec\>z<rsup|\<nu\>>>
      A=0>.

      <item><math|f> remains the unique solution to <math|Q(f)=0> in
      <math|\<bbb-L\>> modulo <math|<op|\<prec\>><space|0.6spc>z<rsup|s>>.
    </itemize>
  </hidden>|<\hidden>
    <with|font-series|bold|font-size|1.19|color|dark
    grey|<block*|<tformat|<cwith|1|-1|1|-1|cell-background|broken
    white>|<twith|table-width|1par>|<cwith|1|1|2|2|cell-hyphen|t>|<cwith|1|1|2|2|cell-bsep|1spc>|<cwith|1|1|2|2|cell-tsep|1spc>|<cwith|1|-1|1|-1|cell-lborder|0.5ln>|<cwith|1|-1|1|-1|cell-rborder|0.5ln>|<cwith|1|-1|1|-1|cell-bborder|0.5ln>|<cwith|1|-1|1|-1|cell-tborder|0.5ln>|<cwith|1|1|2|2|cell-hpart|1>|<cwith|1|1|1|1|cell-rborder|0ln>|<cwith|1|1|2|2|cell-lborder|0ln>|<cwith|1|1|2|2|cell-rborder|0ln>|<cwith|1|1|3|3|cell-lborder|0ln>|<cwith|1|1|1|1|cell-valign|c>|<cwith|1|1|3|3|cell-valign|c>|<cwith|1|1|2|2|cell-valign|c>|<cwith|1|1|1|1|cell-vcorrect|n>|<cwith|1|1|3|3|cell-vcorrect|n>|<table|<row|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu1.png|0.25w|0.25h||>>|<cell|Correctness
    proof of the algorithm>|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu2.png|0.25w|0.25h||>>>>>>>

    <subsubsection|Negative case>

    If <math|deg<rsub|\<prec\>z<rsup|k>> R<rsub|+f<rsub|0>+\<cdots\>+f<rsub|k>*z<rsup|k>>=0>,
    then <math|R\<nequiv\>0> and <math|P\<nequiv\>0>.

    <subsubsection|Positive case>

    <\itemize>
      <item>Assume that <math|deg<rsub|\<prec\>z<rsup|k>>
      R<rsub|+f<rsub|0>+\<cdots\>+f<rsub|k>*z<rsup|k>>\<neq\>0>.

      <item>There exists an <math|<wide|f|~>\<in\>\<bbb-L\>> with
      <math|R(<wide|f|~>)=0> and <math|<wide|f|~>-f\<prec\>z<rsup|k>>.

      <item>Since <math|Q rem R=0> and <math|I<rsub|R>*S<rsub|R>\|H>, we have
      a relation of the form

      <\equation*>
        H<rsup|\<beta\>>*Q=X<rsub|0>*R+\<cdots\>+X<rsub|t>*R<rsup|(t)>.
      </equation*>

      <item>Since <math|R(<wide|f|~>)=0> and
      <math|H(<wide|f|~>)\<neq\><no-break>0>, we have <math|Q(<wide|f|~>)=0>.

      <item>But <math|f> was the unique solution to <math|Q(f)=0> modulo
      <math|<op|\<prec\>><space|0.6spc>z<rsup|s>>.

      <item>Hence <math|f=<wide|f|~>> and <math|R\<equiv\>P\<equiv\>0>.
    </itemize>
  </hidden>|<\hidden>
    <with|font-series|bold|font-size|1.19|color|dark
    grey|<block*|<tformat|<cwith|1|-1|1|-1|cell-background|broken
    white>|<twith|table-width|1par>|<cwith|1|1|2|2|cell-hyphen|t>|<cwith|1|1|2|2|cell-bsep|1spc>|<cwith|1|1|2|2|cell-tsep|1spc>|<cwith|1|-1|1|-1|cell-lborder|0.5ln>|<cwith|1|-1|1|-1|cell-rborder|0.5ln>|<cwith|1|-1|1|-1|cell-bborder|0.5ln>|<cwith|1|-1|1|-1|cell-tborder|0.5ln>|<cwith|1|1|2|2|cell-hpart|1>|<cwith|1|1|1|1|cell-rborder|0ln>|<cwith|1|1|2|2|cell-lborder|0ln>|<cwith|1|1|2|2|cell-rborder|0ln>|<cwith|1|1|3|3|cell-lborder|0ln>|<cwith|1|1|1|1|cell-valign|c>|<cwith|1|1|3|3|cell-valign|c>|<cwith|1|1|2|2|cell-valign|c>|<cwith|1|1|1|1|cell-vcorrect|n>|<cwith|1|1|3|3|cell-vcorrect|n>|<table|<row|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu1.png|0.25w|0.25h||>>|<cell|Advantages
    of the new algorithm>|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu2.png|0.25w|0.25h||>>>>>>>

    \;

    <\itemize>
      <item>Differential equations of arbitrary order.<vspace|1fn>

      <item>Accomodates divergent power series solutions <with|color|red|and>

      ``diveregence does not get worse during the algorithm''.<vspace|1fn>

      <item>Better understanding of previous work by Shackell

      using the differential algebra setting.<vspace|1fn>

      <item>More efficient?

      Witness conjectures...<vspace|1fn>

      <item>Generalizations to partial differential equations?
    </itemize>
  </hidden>|<\hidden>
    <with|font-series|bold|font-size|1.19|color|dark
    grey|<block*|<tformat|<cwith|1|-1|1|-1|cell-background|broken
    white>|<twith|table-width|1par>|<cwith|1|1|2|2|cell-hyphen|t>|<cwith|1|1|2|2|cell-bsep|1spc>|<cwith|1|1|2|2|cell-tsep|1spc>|<cwith|1|-1|1|-1|cell-lborder|0.5ln>|<cwith|1|-1|1|-1|cell-rborder|0.5ln>|<cwith|1|-1|1|-1|cell-bborder|0.5ln>|<cwith|1|-1|1|-1|cell-tborder|0.5ln>|<cwith|1|1|2|2|cell-hpart|1>|<cwith|1|1|1|1|cell-rborder|0ln>|<cwith|1|1|2|2|cell-lborder|0ln>|<cwith|1|1|2|2|cell-rborder|0ln>|<cwith|1|1|3|3|cell-lborder|0ln>|<cwith|1|1|1|1|cell-valign|c>|<cwith|1|1|3|3|cell-valign|c>|<cwith|1|1|2|2|cell-valign|c>|<cwith|1|1|1|1|cell-vcorrect|n>|<cwith|1|1|3|3|cell-vcorrect|n>|<table|<row|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu1.png|0.25w|0.25h||>>|<cell|Witness
    conjecture>|<cell|<image|$TEXMACS_PATH/misc/images/tm_gnu2.png|0.25w|0.25h||>>>>>>>

    <with|color|grey|(convergent case)>

    \;

    \;

    \;

    In order to test whether <math|P(f)=0>, it suffices to test whether

    <\equation*>
      P(f)<rsub|0>=\<cdots\>=P(f)<rsub|\<varpi\>(\<sigma\>)>=0,
    </equation*>

    where

    <\itemize>
      <item><math|\<sigma\>> is the ``total input size'' (in order to
      describe the problem).

      <item>The witness function <math|\<varpi\>(\<sigma\>)> is linear
      (probably <math|\<varpi\>(\<sigma\>)=2*\<sigma\>> is OK).
    </itemize>
  </hidden>>
</body>

<\initial>
  <\collection>
    <associate|bg-color|white>
    <associate|par-par-sep|0.3333fn>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|aade|<tuple|1|?>>
    <associate|ade|<tuple|<uninit>|10>>
    <associate|ade-ref|<tuple|2|11>>
    <associate|auto-1|<tuple|?|2|issac02.tm>>
    <associate|auto-10|<tuple|5|10|issac02.tm>>
    <associate|auto-2|<tuple|<with|mode|<quote|math>|\<bullet\>>|2|issac02.tm>>
    <associate|auto-3|<tuple|<with|mode|<quote|math>|\<bullet\>>|2|issac02.tm>>
    <associate|auto-4|<tuple|Step 3|6|issac02.tm>>
    <associate|auto-5|<tuple|Step 3|6|issac02.tm>>
    <associate|auto-6|<tuple|1|9|issac02.tm>>
    <associate|auto-7|<tuple|2|9|issac02.tm>>
    <associate|auto-8|<tuple|3|9|issac02.tm>>
    <associate|auto-9|<tuple|4|10|issac02.tm>>
    <associate|decomp|<tuple|2.|?>>
    <associate|exth|<tuple|1|?>>
    <associate|gen-conv-def|<tuple|<uninit>|?>>
    <associate|loc-th-2|<tuple|1|?>>
    <associate|locconv|<tuple|1|?>>
    <associate|osc-eq|<tuple|<uninit>|?>>
    <associate|osc1|<tuple|2|?>>
    <associate|recrel|<tuple|3.|?>>
    <associate|ref|<tuple|1|11>>
    <associate|toc-1|<tuple|<uninit>|2>>
    <associate|toc-10|<tuple|8|6>>
    <associate|toc-11|<tuple|8|6>>
    <associate|toc-12|<tuple|8|7>>
    <associate|toc-13|<tuple|10|7>>
    <associate|toc-14|<tuple|10|7>>
    <associate|toc-15|<tuple|12|7>>
    <associate|toc-16|<tuple|12|8>>
    <associate|toc-17|<tuple|10|8>>
    <associate|toc-18|<tuple|12|9>>
    <associate|toc-19|<tuple|12|10>>
    <associate|toc-2|<tuple|<uninit>|2>>
    <associate|toc-20|<tuple|13|10>>
    <associate|toc-21|<tuple|13|10>>
    <associate|toc-22|<tuple|13|10>>
    <associate|toc-23|<tuple|13|11>>
    <associate|toc-24|<tuple|11|11>>
    <associate|toc-25|<tuple|13|12>>
    <associate|toc-26|<tuple|13|12>>
    <associate|toc-27|<tuple|14|13>>
    <associate|toc-28|<tuple|14|13>>
    <associate|toc-29|<tuple|14|13>>
    <associate|toc-3|<tuple|<uninit>|2>>
    <associate|toc-30|<tuple|14|14>>
    <associate|toc-31|<tuple|14|14>>
    <associate|toc-32|<tuple|14|14>>
    <associate|toc-33|<tuple|14|15>>
    <associate|toc-34|<tuple|14|15>>
    <associate|toc-35|<tuple|14|16>>
    <associate|toc-36|<tuple|14|16>>
    <associate|toc-37|<tuple|14|17>>
    <associate|toc-4|<tuple|<uninit>|3>>
    <associate|toc-5|<tuple|6|4>>
    <associate|toc-6|<tuple|5|4>>
    <associate|toc-7|<tuple|7|5>>
    <associate|toc-8|<tuple|7|5>>
    <associate|toc-9|<tuple|6|5>>
    <associate|var-alpha-cond|<tuple|1|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|toc>
      <with|par-left|<quote|2tab>|Testing functional identities
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-1>>

      <with|par-left|<quote|2tab>|Testing constant identities
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-2>>

      <with|par-left|<quote|2tab>|Testing power series identities
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-3>>

      <with|par-left|<quote|2tab>|The Puiseux theorem
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-4>>

      <with|par-left|<quote|2tab>|The Puiseux theorem for asymptotic
      algebraic equations [vdH 1997] <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-5>>

      <with|par-left|<quote|2tab>|1<space|2spc>Logarithmic transseries
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-6>>

      <with|par-left|<quote|2tab>|2<space|2spc>Theorem for the resolution of
      aade's in <with|color|<quote|dark red>|font-family|<quote|rm>|<with|mode|<quote|math>|\<bbb-L\>>>
      [vdH 2001] <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-7>>

      <with|par-left|<quote|2tab>|3<space|2spc>Also
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-8>>

      <with|par-left|<quote|2tab>|4<space|2spc>Negative case
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-9>>

      <with|par-left|<quote|2tab>|5<space|2spc>Positive case
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-10>>
    </associate>
  </collection>
</auxiliary>